﻿//   Copyright 2023 Esri
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at

//       http://www.apache.org/licenses/LICENSE-2.0

//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.

using ArcGIS.Core.CIM;
using ArcGIS.Core.Data;
using ArcGIS.Core.Geometry;
using ArcGIS.Desktop.Catalog;
using ArcGIS.Desktop.Core;
using ArcGIS.Desktop.Editing;
using ArcGIS.Desktop.Extensions;
using ArcGIS.Desktop.Framework;
using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Dialogs;
using ArcGIS.Desktop.Framework.Threading.Tasks;
using ArcGIS.Desktop.Layouts;
using ArcGIS.Desktop.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Media;

namespace CustomizeGalleriesComboboxes
{
  internal class InlineGallery1 : Gallery
  {
    private bool _isInitialized;

    public InlineGallery1()
    {
      Initialize();
    }

    private void Initialize()
    {
      if (_isInitialized)
        return;
      _isInitialized = true;

      foreach (var buttonID in Module1.ButtonIDsList)
      {
        Add(new ButtonItem(buttonID));
      }
    }

    protected override void OnClick(object item)
    {
      if (item is ButtonItem buttonItem)
        buttonItem.Execute();
    }

    protected override void OnClick(GalleryItem item)
    {
      //TODO - insert your code to manipulate the clicked gallery item here
      System.Diagnostics.Debug.WriteLine("Remove this line after adding your custom behavior.");
      base.OnClick(item);
    }
  }
}
